Retrieve Payout by ID
curl --request GET \
--url https://api-sandbox.y.uno/v1/payouts/{payout_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/payouts/{payout_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/payouts/{payout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1c58426d-2c1b-4476-b3c0-447a8c683466",
"account_id": "f7c5fe77-721b-49c2-84d3-957748df3c2c",
"status": "SUCCEEDED",
"merchant_reference": "MR-Test-123",
"purpose": "",
"country": "US",
"description": "Test",
"amount": {
"currency": "USD",
"value": 100
},
"beneficiary": {
"merchant_beneficiary_id": "test_merchant_deposit_id",
"national_entity": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"legal_name": "John Doe",
"email": "john.doe@email.com",
"country": "US",
"date_of_birth": "1980-01-01",
"document": {
"document_type": "SSN",
"document_number": "123-45-6789"
},
"phone": {
"country_code": "1",
"number": "1234567890"
},
"address": {
"address_line_1": "123 Main St",
"address_line_2": "Apt 1",
"country": "US",
"state": "NY",
"city": "New York",
"zip_code": "10001"
}
},
"metadata": [],
"created_at": "2024-05-27T15:14:19.012803Z",
"updated_at": "2024-05-27T15:14:20.577061Z",
"transactions": [
{
"id": "30c91532-5777-410a-887f-ccfdcc7c7b1b",
"status": "SUCCEEDED",
"type": "ASTROPAY_PAYOUT",
"response_code": "SUCCEEDED",
"merchant_reference": "MR-Test-123",
"purpose": "",
"description": "Test",
"amount": {
"currency": "USD",
"value": 100
},
"withdrawal_method": {
"type": "ASTROPAY_PAYOUT",
"detail": {
"bank_transfer": null,
"wallet": {
"code": "h15sg84U6rCl",
"email": null,
"country": null,
"document": null,
"phone": null
}
}
},
"provider_data": {
"id": "ASTROPAY",
"transaction_id": "32375",
"account_id": "",
"beneficiary_id": "test_merchant_deposit_id",
"status": "APPROVED",
"status_detail": "APPROVED",
"raw_response": "\"{\\n \\\"cashout_id\\\" : 32375,\\n \\\"merchant_cashout_id\\\" : \\\"30c91532-5777-410a-887f-ccfdcc7c7b1b\\\",\\n \\\"status\\\" : \\\"APPROVED\\\",\\n \\\"user_id\\\" : \\\"h15sg84U6rCl\\\"\\n}\""
},
"created_at": "2024-05-27T15:14:19.574485Z",
"updated_at": "2024-05-27T15:14:20.577057Z"
}
]
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}Retrieve Payout by ID
Retrieve the details of a payout using its unique ID.
GET
/
payouts
/
{payout_id}
Retrieve Payout by ID
This request enables you to retrieve details of a payout based on their
id, which needs to be provided in the request path.Authorizations
Path Parameters
Response
200
Example:
"1c58426d-2c1b-4476-b3c0-447a8c683466"
Example:
"f7c5fe77-721b-49c2-84d3-957748df3c2c"
Example:
"SUCCEEDED"
Example:
"MR-Test-123"
Example:
""
Example:
"US"
Example:
"Test"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2024-05-27T15:14:19.012803Z"
Example:
"2024-05-27T15:14:20.577061Z"
Show child attributes
Show child attributes
Was this page helpful?
⌘I